import unittest
import pozpatku as p

class TestCaseFlip(unittest.TestCase):

    # Testy pro první funkci
    def test_basic1(self):
        text, result = "ano", "ona"
        self.assertEqual(p.flipTheLettersOfTheString(text), result,"Pro hodnotu v proměnné text '" + str(text) + "' se vrátí hodnota: " + str(p.flipTheLettersOfTheString(text)) + "\na má se vrátit: " + str(result) + "\n\n" )

    def test_basic2(self):
        text, result = "oko", "oko"
        self.assertEqual(p.flipTheLettersOfTheString(text), result,"Pro hodnotu v proměnné text '" + str(text) + "' se vrátí hodnota: " + str(p.flipTheLettersOfTheString(text)) + "\na má se vrátit: " + str(result) + "\n\n" )

    def test_basic3(self):
        text, result = "Úkol není triviální", "ínláivirt ínen lokÚ"
        self.assertEqual(p.flipTheLettersOfTheString(text), result,"Pro hodnotu v proměnné text '" + str(text) + "' se vrátí hodnota: " + str(p.flipTheLettersOfTheString(text)) + "\na má se vrátit: " + str(result) + "\n\n" )

    def test_basic4(self):
        text, result = "21500", "00512"
        self.assertEqual(p.flipTheLettersOfTheString(text), result,"Pro hodnotu v proměnné text '" + str(text) + "' se vrátí hodnota: " + str(p.flipTheLettersOfTheString(text)) + "\na má se vrátit: " + str(result) + "\n\n" )

    def test_basic5(self):
        text, result = "Zdravím, po necelém měsíci putování po Africe sem napíšu nějaké zážitky, zejména co se týče jízdy v autě a obecně problémů řízení. Ostatní sem nepatří, ale určitě to nebylo nezajímavější. Po příletu jsme měli vyjednané půjčení auta a vybavení pro cestování. Autem byl Nissan DoubleCab 2,4i 4x4 2005, přední uzávěrka, čelní rám, klima, 2 rezervy, 2 plynové bomby, 2 střešní stany, 1 rezervní kanystr (20 l) – základní objem nádrže 140 l, lopata na písek, lednička (která občas měla 35°C),kanystr na užitkovou vodu a kempingové vybavení . Váha cca 2700kg. Auto tedy bylo ustrojeno na objednávku, nyní bych pár věcí už objednal jinak. Půjčují se téměř výhradně japonci alá tento nissan, pak africe vládnou toyoty (hilux, řada hzj) . V půjčovně měli teda i po 1 kusu Hummera H3 a nějakého dodge, kteří si objednali nějací Němci, které tedy upřímně lituji . Cestovalo se po Namibii, Botswaně a Zambii.", ".iibmaZ a ěnawstoB ,iibimaN op es olavotseC . ijutil ěnmířpu ydet éretk ,icměN ícajěn ilandejbo is ířetk ,egdod ohékajěn a 3H aremmuH usuk 1 op i adet ilěm ěnvočjůp V . )jzh adař ,xulih( ytoyot uondálv ecirfa kap ,nassin otnet ála icnopaj ěndarhýv řěmét es íjučjůP .kanij landejbo žu ícěv ráp hcyb ínyn ,ukvándejbo an onejortsu olyb ydet otuA .gk0072 acc aháV . ínevabyv évognipmek a udov uovoktižu an rtsynak,)C°53 alěm sačbo áretk( akčindel ,kesíp an atapol ,l 041 ežrdán mejbo índalkáz – )l 02( rtsynak ínvrezer 1 ,ynats ínšeřts 2 ,ybmob évonylp 2 ,yvrezer 2 ,amilk ,már ínleč ,akrěvázu índeřp ,5002 4x4 i4,2 baCelbuoD nassiN lyb metuA .ínávotsec orp ínevabyv a atua ínečjůp énandejyv ilěm emsj utelířp oP .íšjěvamíjazen olyben ot ětičru ela ,ířtapen mes íntatsO .ínezíř ůmélborp ěncebo a ětua v ydzíj ečýt es oc anémjez ,yktižáz ékajěn ušípan mes ecirfA op ínávotup icísěm mélecen op ,mívardZ"
        self.assertEqual(p.flipTheLettersOfTheString(text), result,"Pro hodnotu v proměnné text '" + str(text) + "' se vrátí hodnota: " + str(p.flipTheLettersOfTheString(text)) + "\na má se vrátit: " + str(result) + "\n\n" )

    # Testy pro druhou funkci
    def test_basic6(self):
        number, result = 52, 25
        self.assertEqual(p.flipTheDigitOfTheInteger(number), result,"Pro hodnotu v proměnné number '" + str(number) + "' se vrátí hodnota: " + str(p.flipTheDigitOfTheInteger(number)) + "\na má se vrátit: " + str(result) + "\n\n" )

    def test_basic7(self):
        number, result = 65507, 70556
        self.assertEqual(p.flipTheDigitOfTheInteger(number), result,"Pro hodnotu v proměnné number '" + str(number) + "' se vrátí hodnota: " + str(p.flipTheDigitOfTheInteger(number)) + "\na má se vrátit: " + str(result) + "\n\n" )

    def test_basic8(self):
        number, result = 1578459464512333, 3332154649548751
        self.assertEqual(p.flipTheDigitOfTheInteger(number), result,"Pro hodnotu v proměnné number '" + str(number) + "' se vrátí hodnota: " + str(p.flipTheDigitOfTheInteger(number)) + "\na má se vrátit: " + str(result) + "\n\n" )

    def test_basic9(self):
        number, result = 757, 757
        self.assertEqual(p.flipTheDigitOfTheInteger(number), result,"Pro hodnotu v proměnné number '" + str(number) + "' se vrátí hodnota: " + str(p.flipTheDigitOfTheInteger(number)) + "\na má se vrátit: " + str(result) + "\n\n" )

    def test_minus10(self):
        number, result = -2527, -7252
        self.assertEqual(p.flipTheDigitOfTheInteger(number), result,"Pro hodnotu v proměnné number '" + str(number) + "' se vrátí hodnota: " + str(p.flipTheDigitOfTheInteger(number)) + "\na má se vrátit: " + str(result) + "\n\n" )

    def test_zero11(self):
        number, result = 0, 0
        self.assertEqual(p.flipTheDigitOfTheInteger(number), result,
                         "Pro hodnotu v proměnné number '" + str(number) + "' se vrátí hodnota: " + str(
                             p.flipTheDigitOfTheInteger(number)) + "\na má se vrátit: " + str(result) + "\n\n")

    def test_complicatedProblem12(self):
        number, result = 75000, 57
        self.assertEqual(p.flipTheDigitOfTheInteger(number), result,"Pro hodnotu v proměnné number '" + str(number) + "' se vrátí hodnota: " + str(p.flipTheDigitOfTheInteger(number)) + "\na má se vrátit: " + str(result) + "\n\n" )



if __name__ == '__main__':
    unittest.main()